<div class="container">
	<h2 class="text-secondary-dark">
		<b i18n="title@@contrisList">Contris List</b>
	</h2>
	<div class="row h5 bg-secondary-dark pet-glow-secondary">
		<div class="col-2 p-0 text-tertiary-light pet-text-clip">
			<button class="btn btn-sm btn-secondary p-0 align-self-start"
				type="button" (click)="onSortBy('prodId')">
				<fa-icon
					[icon]="sortedBy==='prodId' && !ascendingOrder ? iconSortAsc : iconSortDesc"
					class="light-svg"></fa-icon>
			</button>
			<b i18n="label@@productId">Id</b>
		</div>
		<div class="col-3 p-0 text-tertiary-light pet-text-clip">
			<button class="btn btn-sm btn-secondary p-0 align-self-start"
				type="button" (click)="onSortBy('ucType')">
				<fa-icon
					[icon]="sortedBy==='ucType' && !ascendingOrder ? iconSortAsc : iconSortDesc"
					class="light-svg"></fa-icon>
			</button>
			<b i18n="label@@commitType">Type</b>
		</div>
		<div class="col-3 p-0 text-tertiary-light pet-text-clip">
			<button class="btn btn-sm btn-secondary p-0 align-self-start"
				type="button" (click)="onSortBy('stage')">
				<fa-icon
					[icon]="sortedBy==='stage' && !ascendingOrder ? iconSortAsc : iconSortDesc"
					class="light-svg"></fa-icon>
			</button>
			<b i18n="label@@stage">Stage</b>
		</div>
		<div class="col-4 p-0 text-tertiary-light pet-text-clip">
			<button class="btn btn-sm btn-secondary p-0 align-self-start"
				type="button" (click)="onSortBy('time')">
				<fa-icon
					[icon]="sortedBy==='time' && !ascendingOrder ? iconSortAsc : iconSortDesc"
					class="light-svg"></fa-icon>
			</button>
			<b i18n="label@@timestamp">Time</b>
		</div>
	</div>
	<div class="row">
		<div class="col pet-glow-dark">
			<div class="row striped-grid" *ngFor="let commit of commitsList | slice: (page-1) * pageSize : (page-1) * pageSize + pageSize">
				<div class="col-2 px-1">{{commit.prodId}}</div>
				<div class="col-3 px-1">{{commit.ucType}}</div>
				<div class="col-3 px-1">{{commit.stage}}</div>
				<div class="col-4 px-1">{{commit.time.toLocaleString()}}</div>
			</div>
		</div>
	</div>

	<div class="d-flex mt-2 justify-content-center">
		<ngb-pagination [(page)]="page" [pageSize]="pageSize"
			[collectionSize]="commitsList.length" [directionLinks]="false"
			[rotate]="true" (pageChange)="onPageChange()"></ngb-pagination>
	</div>
</div>
